Subject: Re: [Bitcoin-development] Transaction limit size in CWallet::CreateTransaction

From: Chris Double <[email-masked]>
Date: Sun, 4 Sep 2011 02:16:40 +1200

On Sun, Sep 4, 2011 at 1:52 AM, Chris Double <[email-masked]> wrote:
> So was the intent to use the CWalletTxn size, and the casting is
> superfluous, or was it supposed to be the CTransaction* portion and
> the cast is an incorrect way of doing that? Or am I suffering from
> late night programmer syndrome and reading it wrong?

After a discussion on #bitcoin-dev it is indeed the latter. I was
under the mistaken believe that the GetSerializeSize method in
CTransaction and CWalletTxn were virtual, which would result in the
behavior I was thinking of. But they're not so it works. Please
disregard!

Chris.
-- 
http://www.bluishcoder.co.nz